<?php

// Code to detect whether index.php has been requested without query string
// If no page parameter detected...
if (!isset($_GET['page'])) {
    $id = 'home'; 		// display home page
} else {
    $id = $_GET['page']; 	// else requested page
}

$content = '';

// Switch statement to decide content of page will go here.
// Regardless of which "view" is displayed, the variable $content will
switch ($id) {
    case 'home' :
        include 'views/home.php';
        break;
    case 'page_2' :
        include 'views/page_2.php';
        break;
    default :
        include 'views/404.php';
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title>Test Application</title>
    </head>
    <body>
		<ul>
			<li><a href="index.php">Home</a></li>
			<li><a href="index.php?page=page_2">Page 2</a></li>
		</ul>
        
		<?php
		// Display content for requested view.
		echo $content;
		?>
		
    </body>
</html>
